/*
** device_dialog.h
** 
** Made by Arne Caspari
** Login   <arne@arne-laptop>
** 
** Started on  Wed Nov 15 07:19:25 2006 Arne Caspari
** Last update Wed Feb  7 10:40:02 2007 Arne Caspari
*/

#ifndef   	DEVICE_DIALOG_H_
# define   	DEVICE_DIALOG_H_

#include <gtk/gtk.h>
#include <unicap.h>

typedef struct 
{
      GtkWidget *window;
      GtkWidget *format_selection;
      GtkWidget *ok_button;
      unicap_handle_t handle;
      gboolean delete;
      
} device_dialog_t;


device_dialog_t *create_device_dialog( gboolean include_fmt_selection, 
				       unicap_device_t *default_device );
unicap_handle_t device_dialog_run( device_dialog_t *dlg );
void device_dialog_destroy( device_dialog_t *dlg );

#endif 	    /* !DEVICE_DIALOG_H_ */
